import { Component, OnInit,Input } from '@angular/core';
import { IonButton, IonButtons, IonContent, IonHeader, IonTitle, IonToolbar, ModalController } from '@ionic/angular/standalone';

@Component({
  selector: 'app-report-modal',
  templateUrl: './report-modal.component.html',
  styleUrls: ['./report-modal.component.scss'],
  standalone: true,
  imports: [IonHeader,IonToolbar,IonTitle,
    IonButtons,IonButton,IonContent
  ],
})
export class ReportModalComponent  implements OnInit {

  @Input() report!: string; // 从父组件接收报告内容

  constructor(private modalCtrl: ModalController) {}

  closeModal() {
    this.modalCtrl.dismiss(); // 关闭弹窗
  }

  ngOnInit() {}

}
